package discord_test

import (
	"testing"

	"git.sapphic.engineer/roleypoly/v4/discord/clientmock"
	"github.com/stretchr/testify/mock"
)

func defaultMocks(t *testing.T) *clientmock.DiscordClientMock {
	dc := &clientmock.DiscordClientMock{}

	dc.On("BotAuth", mock.AnythingOfType("*http.Request"))

	return dc
}
